package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.math.BigDecimal;
import java.util.List;

@ApiModel
public class DrpSupplierScoreRuleAddDTO {
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("评分规则id")
   private Long ruleId;
   @ApiModelProperty("评分规则名称")
   private String ruleName;
   @ApiModelProperty("规则类型(1交货及时率，2产品合格率，3公司资质认证，4注册资金，5上一年度营业额，6员工数，7订单数量，8订单金额)")
   private Integer ruleType;
   @ApiModelProperty("设定分数")
   private BigDecimal setScore;
   @ApiModelProperty("区间分数设定集合")
   private @Valid List<DrpSupplierScoreRuleSectionAddDTO> sectionListDTO;

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getRuleId() {
      return this.ruleId;
   }

   public String getRuleName() {
      return this.ruleName;
   }

   public Integer getRuleType() {
      return this.ruleType;
   }

   public BigDecimal getSetScore() {
      return this.setScore;
   }

   public List<DrpSupplierScoreRuleSectionAddDTO> getSectionListDTO() {
      return this.sectionListDTO;
   }

   public DrpSupplierScoreRuleAddDTO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DrpSupplierScoreRuleAddDTO setRuleId(final Long ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DrpSupplierScoreRuleAddDTO setRuleName(final String ruleName) {
      this.ruleName = ruleName;
      return this;
   }

   public DrpSupplierScoreRuleAddDTO setRuleType(final Integer ruleType) {
      this.ruleType = ruleType;
      return this;
   }

   public DrpSupplierScoreRuleAddDTO setSetScore(final BigDecimal setScore) {
      this.setScore = setScore;
      return this;
   }

   public DrpSupplierScoreRuleAddDTO setSectionListDTO(final List<DrpSupplierScoreRuleSectionAddDTO> sectionListDTO) {
      this.sectionListDTO = sectionListDTO;
      return this;
   }


   public String toString() {
      Long var10000 = this.getAreaId();
      return "DrpSupplierScoreRuleAddDTO(areaId=" + var10000 + ", ruleId=" + this.getRuleId() + ", ruleName=" + this.getRuleName() + ", ruleType=" + this.getRuleType() + ", setScore=" + String.valueOf(this.getSetScore()) + ", sectionListDTO=" + String.valueOf(this.getSectionListDTO()) + ")";
   }
}
